Subject: RE: bug#14794: 24.3.50; `w32-register-hot-key' does not work on Windows 7 64-bit

From: Drew Adams <[email-masked]>
Date: Fri, 12 Jul 2013 09:10:26 -0700 (PDT)

> > And I don't know what the Emacs key for PrintScreen is.
> 
> I think [print], but I don't see that we produce it anywhere.

(global-set-key [print] 'forward-char)
(w32-register-hot-key [print]) ; => 42

Has no effect: The Print Screen key is still not recognized by Emacs.

> Maybe try the left/right Win+E key or the Apps key, after setting the
> w32-*-modifier variables so as to produce an Emacs modifier from them.

Sorry, I don't know what the last clause means.  What w32-* modifier
variables, and how?

But from your and Martin's other replies in this thread it appears that
`w32-register-hot-key' is useless for Windows 7.  Unless I missed
something.  Is there any case at all where it actually will have an
effect?